Skip to main content
GET
/
hypixel
/
guild
/
{player}
Fetch Hypixel Guild Data
curl --request GET \
  --url https://api.example.com/hypixel/guild/{player}
{
  "cache": 123,
  "cause": "<string>",
  "guild": {
    "_id": "<string>",
    "achievements": "<unknown>",
    "banner": "<unknown>",
    "chatMute": 123,
    "coins": 123,
    "coinsEver": 123,
    "created": 123,
    "description": "<string>",
    "exp": 123,
    "guildExpByGameType": "<unknown>",
    "joinable": true,
    "legacyRanking": 123,
    "level_calc": 123,
    "members": [
      {
        "displayname": "<string>",
        "expHistory": "<unknown>",
        "joined": 123,
        "mutedTill": 123,
        "name": "<string>",
        "questParticipation": 123,
        "rank": "<string>",
        "uuid": "<string>"
      }
    ],
    "name": "<string>",
    "name_lower": "<string>",
    "players": [
      "<string>"
    ],
    "preferredGames": [
      "<string>"
    ],
    "publiclyListed": true,
    "ranks": [
      "<unknown>"
    ],
    "tag": "<string>",
    "tagColor": "<string>"
  },
  "success": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.seraph.si/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

player
string
required

Player UUID to fetch guild data for

Response

Successfully retrieved Hypixel guild data

cache
integer
cause
string
guild
object
success
boolean